io.vertx.reactivex.redis.sentinel

## Class RedisSentinel

- java.lang.Object
- - io.vertx.reactivex.redis.sentinel.RedisSentinel

-     public class RedisSentinel
      extends Object

  This factory is deprecated use `Redis` instead, or for a typed API `RedisAPI`.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<RedisSentinel>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RedisSentinel(Object delegate)`
    `RedisSentinel(RedisSentinel delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RedisSentinel` | `ckquorum(String name, Handler<AsyncResult<String>> handler)` Check if the current Sentinel configuration is able to reach the quorum needed to failover a master, and the majority needed to authorize the failover.
    `void` | `close(Handler<AsyncResult<Void>> handler)` Close the client - when it is fully closed the handler will be called.
    `static RedisSentinel` | `create(Vertx vertx)`
    `static RedisSentinel` | `create(Vertx vertx, JsonObject config)`
    `boolean` | `equals(Object o)`
    `RedisSentinel` | `failover(String name, Handler<AsyncResult<String>> handler)` Force a failover as if the master was not reachable, and without asking for agreement to other Sentinels (however a new version of the configuration will be published so that the other Sentinels will update their configurations)
    `RedisSentinel` | `flushConfig(Handler<AsyncResult<Void>> handler)` Force Sentinel to rewrite its configuration on disk, including the current Sentinel state.
    `RedisSentinel` | `getDelegate()`
    `RedisSentinel` | `getMasterAddrByName(String name, Handler<AsyncResult<JsonArray>> handler)` Return the ip and port number of the master with that name.
    `int` | `hashCode()`
    `RedisSentinel` | `master(String name, Handler<AsyncResult<JsonArray>> handler)` Show the state and info of the specified master
    `RedisSentinel` | `masters(Handler<AsyncResult<JsonArray>> handler)` Show a list of monitored masters and their state
    `static RedisSentinel` | `newInstance(RedisSentinel arg)`
    `RedisSentinel` | `reset(String pattern, Handler<AsyncResult<Void>> handler)` Reset all the masters with matching name.
    `Single<String>` | `rxCkquorum(String name)` Check if the current Sentinel configuration is able to reach the quorum needed to failover a master, and the majority needed to authorize the failover.
    `Completable` | `rxClose()` Close the client - when it is fully closed the handler will be called.
    `Single<String>` | `rxFailover(String name)` Force a failover as if the master was not reachable, and without asking for agreement to other Sentinels (however a new version of the configuration will be published so that the other Sentinels will update their configurations)
    `Completable` | `rxFlushConfig()` Force Sentinel to rewrite its configuration on disk, including the current Sentinel state.
    `Single<JsonArray>` | `rxGetMasterAddrByName(String name)` Return the ip and port number of the master with that name.
    `Single<JsonArray>` | `rxMaster(String name)` Show the state and info of the specified master
    `Single<JsonArray>` | `rxMasters()` Show a list of monitored masters and their state
    `Completable` | `rxReset(String pattern)` Reset all the masters with matching name.
    `Single<JsonArray>` | `rxSentinels(String name)` Show a list of sentinel instances for this master, and their state
    `Single<JsonArray>` | `rxSlaves(String name)` Show a list of slaves for this master, and their state
    `RedisSentinel` | `sentinels(String name, Handler<AsyncResult<JsonArray>> handler)` Show a list of sentinel instances for this master, and their state
    `RedisSentinel` | `slaves(String name, Handler<AsyncResult<JsonArray>> handler)` Show a list of slaves for this master, and their state
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<RedisSentinel> __TYPE_ARG

  - ### Constructor Detail

    - #### RedisSentinel

          public RedisSentinel(RedisSentinel delegate)

    - #### RedisSentinel

          public RedisSentinel(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public RedisSentinel getDelegate()

    - #### create

          public static RedisSentinel create(Vertx vertx)

    - #### create

          public static RedisSentinel create(Vertx vertx,
                                             JsonObject config)

    - #### close

          public void close(Handler<AsyncResult<Void>> handler)

      Close the client - when it is fully closed the handler will be called.
      Parameters:
        `handler` -

    - #### rxClose

          public Completable rxClose()

      Close the client - when it is fully closed the handler will be called.
      Returns:

    - #### masters

          public RedisSentinel masters(Handler<AsyncResult<JsonArray>> handler)

      Show a list of monitored masters and their state
      Parameters:
        `handler` - Handler for the result of this call
      Returns:

    - #### rxMasters

          public Single<JsonArray> rxMasters()

      Show a list of monitored masters and their state
      Returns:

    - #### master

          public RedisSentinel master(String name,
                                      Handler<AsyncResult<JsonArray>> handler)

      Show the state and info of the specified master
      Parameters:
        `name` - master name
        `handler` - Handler for the result of this call
      Returns:

    - #### rxMaster

          public Single<JsonArray> rxMaster(String name)

      Show the state and info of the specified master
      Parameters:
        `name` - master name
      Returns:

    - #### slaves

          public RedisSentinel slaves(String name,
                                      Handler<AsyncResult<JsonArray>> handler)

      Show a list of slaves for this master, and their state
      Parameters:
        `name` - master name
        `handler` - Handler for the result of this call
      Returns:

    - #### rxSlaves

          public Single<JsonArray> rxSlaves(String name)

      Show a list of slaves for this master, and their state
      Parameters:
        `name` - master name
      Returns:

    - #### sentinels

          public RedisSentinel sentinels(String name,
                                         Handler<AsyncResult<JsonArray>> handler)

      Show a list of sentinel instances for this master, and their state
      Parameters:
        `name` - master name
        `handler` - Handler for the result of this call
      Returns:

    - #### rxSentinels

          public Single<JsonArray> rxSentinels(String name)

      Show a list of sentinel instances for this master, and their state
      Parameters:
        `name` - master name
      Returns:

    - #### getMasterAddrByName

          public RedisSentinel getMasterAddrByName(String name,
                                                   Handler<AsyncResult<JsonArray>> handler)

      Return the ip and port number of the master with that name. If a failover is in progress or terminated successfully for this master it returns the address and port of the promoted slave
      Parameters:
        `name` - master name
        `handler` - Handler for the result of this call
      Returns:

    - #### rxGetMasterAddrByName

          public Single<JsonArray> rxGetMasterAddrByName(String name)

      Return the ip and port number of the master with that name. If a failover is in progress or terminated successfully for this master it returns the address and port of the promoted slave
      Parameters:
        `name` - master name
      Returns:

    - #### reset

          public RedisSentinel reset(String pattern,
                                     Handler<AsyncResult<Void>> handler)

      Reset all the masters with matching name. The pattern argument is a glob-style pattern. The reset process clears any previous state in a master (including a failover in pro
      Parameters:
        `pattern` - pattern String
        `handler` - Handler for the result of this call
      Returns:

    - #### rxReset

          public Completable rxReset(String pattern)

      Reset all the masters with matching name. The pattern argument is a glob-style pattern. The reset process clears any previous state in a master (including a failover in pro
      Parameters:
        `pattern` - pattern String
      Returns:

    - #### failover

          public RedisSentinel failover(String name,
                                        Handler<AsyncResult<String>> handler)

      Force a failover as if the master was not reachable, and without asking for agreement to other Sentinels (however a new version of the configuration will be published so that the other Sentinels will update their configurations)
      Parameters:
        `name` - master name
        `handler` - Handler for the result of this call
      Returns:

    - #### rxFailover

          public Single<String> rxFailover(String name)

      Force a failover as if the master was not reachable, and without asking for agreement to other Sentinels (however a new version of the configuration will be published so that the other Sentinels will update their configurations)
      Parameters:
        `name` - master name
      Returns:

    - #### ckquorum

          public RedisSentinel ckquorum(String name,
                                        Handler<AsyncResult<String>> handler)

      Check if the current Sentinel configuration is able to reach the quorum needed to failover a master, and the majority needed to authorize the failover. This command should be used in monitoring systems to check if a Sentinel deployment is ok.
      Parameters:
        `name` - master name
        `handler` - Handler for the result of this call
      Returns:

    - #### rxCkquorum

          public Single<String> rxCkquorum(String name)

      Check if the current Sentinel configuration is able to reach the quorum needed to failover a master, and the majority needed to authorize the failover. This command should be used in monitoring systems to check if a Sentinel deployment is ok.
      Parameters:
        `name` - master name
      Returns:

    - #### flushConfig

          public RedisSentinel flushConfig(Handler<AsyncResult<Void>> handler)

      Force Sentinel to rewrite its configuration on disk, including the current Sentinel state. Normally Sentinel rewrites the configuration every time something changes in its state (in the context of the subset of the state which is persisted on disk across restart). However sometimes it is possible that the configuration file is lost because of operation errors, disk failures, package upgrade scripts or configuration managers. In those cases a way to to force Sentinel to rewrite the configuration file is handy. This command works even if the previous configuration file is completely missing.
      Parameters:
        `handler` - Handler for the result of this call
      Returns:

    - #### rxFlushConfig

          public Completable rxFlushConfig()

      Force Sentinel to rewrite its configuration on disk, including the current Sentinel state. Normally Sentinel rewrites the configuration every time something changes in its state (in the context of the subset of the state which is persisted on disk across restart). However sometimes it is possible that the configuration file is lost because of operation errors, disk failures, package upgrade scripts or configuration managers. In those cases a way to to force Sentinel to rewrite the configuration file is handy. This command works even if the previous configuration file is completely missing.
      Returns:

    - #### newInstance

          public static RedisSentinel newInstance(RedisSentinel arg)

Copyright © 2020 Eclipse. All rights reserved.